<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlChirpCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlChirpCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Chirp config API parameters. This structure contains fine dithering to coarse profile defined in <a class="el" href="structrl_profile_cfg__t.html">rlProfileCfg_t</a>. It also includes the selection of Transmitter and binary phase modulation for a chirp.<br />
.  
 <a href="structrl_chirp_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a5c21c31b6ee7c14505078ccadd304f85"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c21c31b6ee7c14505078ccadd304f85"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_chirp_cfg__t.html#a5c21c31b6ee7c14505078ccadd304f85">chirpStartIdx</a></td></tr>
<tr class="memdesc:a5c21c31b6ee7c14505078ccadd304f85"><td class="mdescLeft">&#160;</td><td class="mdescRight">Chirp start index (0-511) <br /></td></tr>
<tr class="separator:a5c21c31b6ee7c14505078ccadd304f85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2384b196e9d6664ea69dc1d68144c37c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2384b196e9d6664ea69dc1d68144c37c"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_chirp_cfg__t.html#a2384b196e9d6664ea69dc1d68144c37c">chirpEndIdx</a></td></tr>
<tr class="memdesc:a2384b196e9d6664ea69dc1d68144c37c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Chirp end index (0-511) <br /></td></tr>
<tr class="separator:a2384b196e9d6664ea69dc1d68144c37c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5743ef12557697df45cf93aa9c1aeda2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5743ef12557697df45cf93aa9c1aeda2"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_chirp_cfg__t.html#a5743ef12557697df45cf93aa9c1aeda2">profileId</a></td></tr>
<tr class="memdesc:a5743ef12557697df45cf93aa9c1aeda2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Associated profile id (0-3) <br /></td></tr>
<tr class="separator:a5743ef12557697df45cf93aa9c1aeda2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92daf68d37609053f757bb7d11fdea6d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a92daf68d37609053f757bb7d11fdea6d"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_chirp_cfg__t.html#a92daf68d37609053f757bb7d11fdea6d">reserved</a></td></tr>
<tr class="memdesc:a92daf68d37609053f757bb7d11fdea6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a92daf68d37609053f757bb7d11fdea6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75cf021be31554a64121856d6d498ec3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a75cf021be31554a64121856d6d498ec3"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_chirp_cfg__t.html#a75cf021be31554a64121856d6d498ec3">startFreqVar</a></td></tr>
<tr class="memdesc:a75cf021be31554a64121856d6d498ec3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ramp start frequency, <br />
 (1 LSB = 3.6e9/2^26 = 53.644 Hz)<br />
 valid range = 0-8388607 <br />
. <br /></td></tr>
<tr class="separator:a75cf021be31554a64121856d6d498ec3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a351adbe6b1efbfc44b7af9694907fcc9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a351adbe6b1efbfc44b7af9694907fcc9"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_chirp_cfg__t.html#a351adbe6b1efbfc44b7af9694907fcc9">freqSlopeVar</a></td></tr>
<tr class="memdesc:a351adbe6b1efbfc44b7af9694907fcc9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ramp slope<br />
 (1 LSB = 3.6e6 * 900/2^26 = 48.279 KHz/us) <br />
 valid range = 0-63 <br />
. <br /></td></tr>
<tr class="separator:a351adbe6b1efbfc44b7af9694907fcc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae27c8454ca60a669bbb61e141b7f780d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae27c8454ca60a669bbb61e141b7f780d"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_chirp_cfg__t.html#ae27c8454ca60a669bbb61e141b7f780d">idleTimeVar</a></td></tr>
<tr class="memdesc:ae27c8454ca60a669bbb61e141b7f780d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Idle time for each chirp<br />
 1 LSB = 10ns<br />
 valid range = 0-4096 <br />
. <br /></td></tr>
<tr class="separator:ae27c8454ca60a669bbb61e141b7f780d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad07e117ceeae0f98d8866080b24e2997"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad07e117ceeae0f98d8866080b24e2997"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_chirp_cfg__t.html#ad07e117ceeae0f98d8866080b24e2997">adcStartTimeVar</a></td></tr>
<tr class="memdesc:ad07e117ceeae0f98d8866080b24e2997"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adc start time for each chirp <br />
 1 LSB = 10ns <br />
 valid range = 0-4096 <br />
. <br /></td></tr>
<tr class="separator:ad07e117ceeae0f98d8866080b24e2997"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e83256887926478e0fc0d4d6779c637"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9e83256887926478e0fc0d4d6779c637"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_chirp_cfg__t.html#a9e83256887926478e0fc0d4d6779c637">txEnable</a></td></tr>
<tr class="memdesc:a9e83256887926478e0fc0d4d6779c637"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tx enable selection bit mask <br />
 b0 Enable TX0 <br />
 0 Tx0 Disable <br />
 1 Tx0 Enable <br />
 b1 Enable TX1 <br />
 0 Tx1 Disable <br />
 1 Tx1 Enable <br />
 b2 Enable TX2 <br />
 0 Tx2 Disable <br />
 1 Tx2 Enable <br />
 Note: Maximum of only 2 TX can be turned in a chirp <br />
. <br /></td></tr>
<tr class="separator:a9e83256887926478e0fc0d4d6779c637"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Chirp config API parameters. This structure contains fine dithering to coarse profile defined in <a class="el" href="structrl_profile_cfg__t.html">rlProfileCfg_t</a>. It also includes the selection of Transmitter and binary phase modulation for a chirp.<br />
. </p>
<dl class="section note"><dt>Note</dt><dd>One can define upto 512 unique chirps.These chirps need to be included in frame configuration structure <a class="el" href="structrl_frame_cfg__t.html">rlFrameCfg_t</a> to create FMCW frame </dd></dl>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
